services:
  gitea:
    environment:
      USER_GID: "1000"
      USER_UID: "1000"
    hostname: gitea
    image: gitea/gitea:latest
    network_mode: bridge
    ports:
      - target: 3000
        published: "3002"
        protocol: tcp
      - target: 22
        published: "2222"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /opt/data/gitea
        target: /data
networks:
  default:
    name: gitea_default
